FruxonDocs
ApiCollection pipelines

Gets one run.

Returns the run's status, per-item counters (succeeded / failed / skipped / total), timing, and cost.

GET
/v1/tenants/{tenant}/collectionRuns/{collectionRun}
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

collectionRun*string

The unique identifier of the run.

Formatuuid
tenant*string

The tenant identifier

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/collectionRuns/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "00000000-0000-0000-0000-000000000000",
  "tenantId": "00000000-0000-0000-0000-000000000000",
  "createdAt": 0,
  "modifiedAt": 0,
  "pipelineId": "00000000-0000-0000-0000-000000000000",
  "networkId": "00000000-0000-0000-0000-000000000000",
  "sourceId": "00000000-0000-0000-0000-000000000000",
  "pipelineRevisionId": "00000000-0000-0000-0000-000000000000",
  "status": "FETCHING",
  "origin": "PRODUCTION",
  "itemsTotal": 0,
  "itemsSucceeded": 0,
  "itemsFailed": 0,
  "itemsSkipped": 0,
  "startedAt": 0,
  "endedAt": 0,
  "budgetSpent": 0,
  "rootExecutionId": "00000000-0000-0000-0000-000000000000",
  "completionAsyncOperationId": "00000000-0000-0000-0000-000000000000",
  "completionCallbackDispatchedAt": 0,
  "effectivePolicy": {
    "maxItems": 0,
    "maxConcurrency": 0,
    "perRunBudgetCap": 0,
    "dedupKeyPath": "string",
    "onItemError": "CONTINUE",
    "actionTypeCeiling": "READ_ONLY"
  },
  "sinkDestinationOverride": {
    "indexAssetId": "string",
    "tabularTarget": null,
    "hasAny": true
  }
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}